package com.tofly.xrtygis.custom.service.zsdata;

import com.tofly.xrtygis.custom.entity.dataquery.WaterPlanSearch;

import javax.servlet.http.HttpServletResponse;
import java.util.List;
import java.util.Map;

/**
 * @author FlashWJL
 * @date 2021/4/29 14:59
 */
public interface DataTrendService {
    Map getWaterData(HttpServletResponse response, WaterPlanSearch search);

    Map getElectricityData(HttpServletResponse response, WaterPlanSearch search);

    Map getMaterialsData(HttpServletResponse response, WaterPlanSearch search);

    Map getPriceData(HttpServletResponse response, WaterPlanSearch search);

    Map<String,Object> transfer(List<Map> monthData, List<Map> quarterData, List<Map> yearData, String startYear, String endYear);
}
